var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var _a;
import styled from 'styled-components';
import ContentLoader from 'react-content-loader';
import { ChevronRight } from "../../../icons";
import { Box, TableBody, TableHeaderCell, TableCell, TableRow, Table, } from "../../../elements";
import { WidgetButton } from '../../Widget';
import { LoaderWrapper } from '../WidgetContentLoader';
export var SessionListContainer = styled.div.withConfig({ displayName: "SessionListContainer", componentId: "sc-nqrduk" })((_a = {
        height: '29em'
    },
    _a[LoaderWrapper] = {
        height: '90%',
    },
    _a));
export var WidgetHeader = styled.div.withConfig({ displayName: "WidgetHeader", componentId: "sc-1hh6u5x" })({
    display: 'flex',
    justifyContent: 'space-between',
    alignItems: 'center',
    padding: '0.5em 1em',
});
export var WidgetHead = styled.h3.withConfig({ displayName: "WidgetHead", componentId: "sc-hw5xzs" })({
    margin: 0,
    fontSize: 23,
    fontWeight: 600,
    transform: 'translateX(-14px)',
}, function (_a) {
    var theme = _a.theme;
    return ({
        color: theme.colors.primaryText.default,
    });
});
export var GoButton = styled(WidgetButton).withConfig({ displayName: "GoButton", componentId: "sc-tlkfj8" })(function (_a) {
    var theme = _a.theme;
    return ({
        color: '#fff',
        fontSize: '16px',
        fontWeight: 'bold',
        backgroundColor: theme.colors.primary.dark,
        transition: '0.2s all',
        '&:hover, &:focus, &:active, &:active:hover': {
            color: 'white',
            backgroundColor: theme.colors.primary.hover,
        },
    });
});
export var TableWrapper = styled.div.withConfig({ displayName: "TableWrapper", componentId: "sc-7jzpgc" })(function (_a) {
    var _b;
    var theme = _a.theme;
    return (_b = {
            maxHeight: 372,
            overflow: 'auto',
            fontSize: '0.85em',
            color: theme.colors.primaryText.default
        },
        _b[Table] = {
            marginBottom: 0,
        },
        _b);
});
export var PlaceholderWrapper = styled.div.withConfig({ displayName: "PlaceholderWrapper", componentId: "sc-xv1gva" })(function (_a) {
    var theme = _a.theme;
    return ({
        display: 'flex',
        height: 305,
        minWidth: 400,
        justifyContent: 'center',
        alignItems: 'center',
        fontSize: 12,
        color: theme.colors.primaryText.default,
    });
});
export var THeaderCellSmall = styled(TableHeaderCell).withConfig({ displayName: "THeaderCellSmall", componentId: "sc-ioho4n" })({
    fontWeight: 'normal',
    padding: '0.5em 1em',
});
export var TBodyHighlighted = styled(TableBody).withConfig({ displayName: "TBodyHighlighted", componentId: "sc-lrjea3" })(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  &:last-child td: {\n    border-bottom: none;\n  }\n\n  ", "\n"], ["\n  &:last-child td: {\n    border-bottom: none;\n  }\n\n  ",
    "\n"])), function (_a) {
    var isOpened = _a.isOpened, highlighted = _a.highlighted, theme = _a.theme;
    return isOpened
        ? "\n          background-color: " + (highlighted
            ? "" + theme.colors.secondary.highlightedHover
            : theme.greyscale.light) + ";\n        "
        : "\n          background-color: " + (highlighted
            ? "" + theme.colors.secondary.highlighted
            : 'transparent') + ";\n        ";
});
export var TCellSmall = styled(TableCell).withConfig({ displayName: "TCellSmall", componentId: "sc-122rpkk" })(function (_a) {
    var _b = _a.width, width = _b === void 0 ? '50%' : _b;
    return ({
        padding: '0.5em 1em',
        borderBottom: '1px solid #e0e0e0',
        width: width,
    });
});
export var NewStatus = styled.span.withConfig({ displayName: "NewStatus", componentId: "sc-17061or" })(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  color: ", ";\n  font-weight: 700;\n"], ["\n  color: ", ";\n  font-weight: 700;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.primary.default;
});
export var ToggleArrow = styled(ChevronRight).withConfig({ displayName: "ToggleArrow", componentId: "sc-1tqk1st" })(function (_a) {
    var isOpened = _a.isOpened;
    return ({
        width: 14,
        height: 14,
        backgroundColor: '#fff',
        border: '1px solid #E3E3E5',
        borderRadius: 4,
        marginRight: '1em',
        transform: "rotate(" + (isOpened ? '90deg' : '0deg') + ")",
        transition: '0.2s transform',
    });
});
export var SessionNameWrapper = styled.div.withConfig({ displayName: "SessionNameWrapper", componentId: "sc-vthlq0" })({
    display: 'flex',
    alignItems: 'center',
    height: '3.5em',
});
export var SessionName = styled.b.withConfig({ displayName: "SessionName", componentId: "sc-172o3js" })({
    fontSize: '16px',
    maxWidth: '200px',
    textOverflow: 'ellipsis',
    whiteSpace: 'nowrap',
    overflow: 'hidden',
});
export var ClickableTableRow = styled(TableRow).withConfig({ displayName: "ClickableTableRow", componentId: "sc-1kz7nvn" })(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  cursor: pointer;\n  ", ";\n  ", ";\n"], ["\n  cursor: pointer;\n  ",
    ";\n  ",
    ";\n"])), function (_a) {
    var theme = _a.theme, highlighted = _a.highlighted;
    return "\n       &:active:hover {\n        background-color: " + (highlighted
        ? "" + theme.colors.primary.verylight
        : theme.greyscale.medium) + ";\n      }\n  ";
}, function (_a) {
    var isOpened = _a.isOpened, theme = _a.theme, highlighted = _a.highlighted;
    return !isOpened
        ? "\n          &:focus,\n          &:hover {\n            background-color: " + (highlighted
            ? "" + theme.colors.secondary.highlightedHover
            : theme.greyscale.light) + ";\n          }\n        "
        : null;
});
export var ProgressBarContainer = styled.div.withConfig({ displayName: "ProgressBarContainer", componentId: "sc-1i26d3k" })({
    display: 'flex',
    marginTop: '2px',
});
export var ProgressWrapper = styled.div.withConfig({ displayName: "ProgressWrapper", componentId: "sc-1hxux6p" })(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  display: inline-block;\n"], ["\n  display: inline-block;\n"])));
export var ProgressText = styled(Box).withConfig({ displayName: "ProgressText", componentId: "sc-1h7q6g1" })(function (_a) {
    var theme = _a.theme;
    return ({
        color: theme.colors.secondaryText.dark,
        fontSize: '16px',
    });
});
export var Bar = styled.div.withConfig({ displayName: "Bar", componentId: "sc-111af70" })({
    height: 0,
    borderWidth: '2px',
    borderStyle: 'solid',
    margin: '0 1px',
}, function (_a) {
    var theme = _a.theme, progress = _a.progress, _b = _a.active, active = _b === void 0 ? false : _b;
    var color = active
        ? theme.colors.primary.default
        : theme.colors.secondaryText.light;
    return {
        borderColor: color,
        backgroundColor: color,
        flexBasis: progress + "%",
    };
});
export var ButtonsWrapper = styled.div.withConfig({ displayName: "ButtonsWrapper", componentId: "sc-or41u6" })(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  display: flex;\n  justify-content: flex-end;\n"], ["\n  display: flex;\n  justify-content: flex-end;\n"])));
export var DetailsContainer = styled(Box).withConfig({ displayName: "DetailsContainer", componentId: "sc-14bbu6x" })({
    padding: '5px 20px 10px',
    alignItems: 'center',
    fontSize: '14px',
    'div b, div span': {
        marginRight: '5px',
    },
});
export var DetailsItemButtonWrapper = styled.div.withConfig({ displayName: "DetailsItemButtonWrapper", componentId: "sc-x2abkz" })({
    width: '100%',
    marginTop: '1em',
});
export var DetailItemWrapper = styled.div.withConfig({ displayName: "DetailItemWrapper", componentId: "sc-1czwiql" })(function (_a) {
    var theme = _a.theme;
    return ({
        marginRight: '1.5em',
        span: {
            color: theme.colors.secondaryText.dark,
        },
    });
});
export var StyledContentLoader = styled(ContentLoader).withConfig({ displayName: "StyledContentLoader", componentId: "sc-d1ys9f" })(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  flex-grow: 1;\n  flex-basis: 100%;\n  height: 48px;\n"], ["\n  flex-grow: 1;\n  flex-basis: 100%;\n  height: 48px;\n"])));
export var NodeHrefLink = styled.a.withConfig({ displayName: "NodeHrefLink", componentId: "sc-1rw8sxy" })(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  text-decoration: none;\n  color: ", ";\n  &:hover,\n  &:focus,\n  &:active {\n    color: ", ";\n    text-decoration: none;\n  }\n"], ["\n  text-decoration: none;\n  color: ", ";\n  &:hover,\n  &:focus,\n  &:active {\n    color: ", ";\n    text-decoration: none;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.primaryText.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.primaryText.light;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
